## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate openssl

Name:           rust-openssl
Version:        0.10.63
Release:        %autorelease
Summary:        OpenSSL bindings

License:        Apache-2.0
URL:            https://crates.io/crates/openssl
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop feature and dependencies for unstable BoringSSL support
# * drop feature and dependencies for building against vendored OpenSSL sources
# * bump hex dev-dependency from 0.3 to 0.4
Patch:          openssl-fix-metadata.diff
# * set "PROFILE=SYSTEM" as default argument for SSL_CTX_set_cipher_list
#   so applications that use the "default" context follow system crypto policy
Patch:          0001-set-PROFILE-SYSTEM-as-default-cipher-list.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
OpenSSL bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v101-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v101-devel %{_description}

This package contains library source intended for building other packages which
use the "v101" feature of the "%{crate}" crate.

%files       -n %{name}+v101-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v102-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v102-devel %{_description}

This package contains library source intended for building other packages which
use the "v102" feature of the "%{crate}" crate.

%files       -n %{name}+v102-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v110-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v110-devel %{_description}

This package contains library source intended for building other packages which
use the "v110" feature of the "%{crate}" crate.

%files       -n %{name}+v110-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v111-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v111-devel %{_description}

This package contains library source intended for building other packages which
use the "v111" feature of the "%{crate}" crate.

%files       -n %{name}+v111-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.10.63-1
- Update to version 0.10.63; Fixes RHBZ#2259299

* Wed Dec 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.62-1
- Update to version 0.10.62; Fixes RHBZ#2252868

* Thu Nov 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.60-1
- Update to version 0.10.60; Fixes RHBZ#2251132

* Fri Nov 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.59-1
- Update to version 0.10.59; Fixes RHBZ#2247539

* Mon Aug 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.57-1
- Update to version 0.10.57; Fixes RHBZ#2229491

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.55-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.55-1
- Update to version 0.10.55; Fixes RHBZ#2216346

* Sun Jun 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.54-1
- Update to version 0.10.54; Fixes RHBZ#2210910

* Fri Apr 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.52-1
- Update to version 0.10.52; Fixes RHBZ#2188492

* Mon Apr 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.50-1
- Update to version 0.10.50; Fixes RHBZ#2183732

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.48-1
- Update to version 0.10.48; Fixes RHBZ#2178374

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.45-1
- Update to version 0.10.45; Fixes RHBZ#2155267

* Sun Dec 11 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.44-1
- Update to version 0.10.44; Fixes RHBZ#2130052

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.41-1
- Update to version 0.10.41; Fixes RHBZ#2105673

* Mon Jul 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.40-1
- Update to version 0.10.40; Fixes RHBZ#2081197

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.10.38-1
- Update to version 0.10.38; Fixes RHBZ#2017999

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.10.36-1
- Update to version 0.10.36; Fixes RHBZ#1994703

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.10.35-1
- Update to version 0.10.35.
- Fixes RHBZ#1973895

* Thu May 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.10.34-1
- Update to version 0.10.34.
- Fixes RHBZ#1938487

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.10.32-1
- Update to version 0.10.32.
- Fixes RHBZ#1910764

* Thu Dec 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.10.31-1
- Update to version 0.10.31.
- Remove feature for vendored OpenSSL.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.10.30-1
- Update to 0.10.30

* Wed Apr 08 2020 Josh Stone <jistone@redhat.com> - 0.10.29-1
- Update to 0.10.29

* Thu Feb 06 2020 Josh Stone <jistone@redhat.com> - 0.10.28-1
- Update to 0.10.28

* Thu Jan 30 2020 Josh Stone <jistone@redhat.com> - 0.10.27-1
- Update to 0.10.27

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 0.10.26-1
- Update to 0.10.26

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.10.25-1
- Update to 0.10.25

* Sat Sep 21 13:14:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.24-1
- Update to 0.10.24

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 21:26:09 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.23-2
- Regenerate

* Fri May 31 2019 Josh Stone <jistone@redhat.com> - 0.10.23-1
- Update to 0.10.23

* Thu May 09 2019 Josh Stone <jistone@redhat.com> - 0.10.22-1
- Update to 0.10.22

* Thu May 02 2019 Josh Stone <jistone@redhat.com> - 0.10.21-1
- Update to 0.10.21

* Fri Mar 22 2019 Josh Stone <jistone@redhat.com> - 0.10.20-1
- Update to 0.10.20

* Fri Mar 01 2019 Josh Stone <jistone@redhat.com> - 0.10.19-1
- Update to 0.10.19

* Fri Feb 22 2019 Josh Stone <jistone@redhat.com> - 0.10.18-1
- Update to 0.10.18

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.10.16-1
- Update to 0.10.16

* Mon Nov 12 2018 Josh Stone <jistone@redhat.com> - 0.10.15-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.10.15-1
- Update to 0.10.15

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.10.12-1
- Update to 0.10.12

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.10.11-1
- Update to 0.10.11

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.10-3
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.10-1
- Update to 0.10.10

* Tue Jun 05 2018 Josh Stone <jistone@redhat.com> - 0.10.9-1
- Update to 0.10.9

* Tue May 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.8-1
- Update to 0.10.8

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.10.7-1
- Update to 0.10.7

* Fri Apr 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.6-1
- Update to 0.10.6

* Thu Mar 01 2018 Josh Stone <jistone@redhat.com> - 0.10.5-1
- Update to 0.10.5

* Mon Feb 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.4-1
- Update to 0.10.4

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.3-1
- Update to 0.10.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-2
- Rebuild for rust-packaging v5

* Thu Dec 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-1
- Update to 0.9.23

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.22-2
- Bump lazy_static to 1

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.22-1
- Update to 0.9.22

* Tue Nov 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.21-1
- Update to 0.9.21

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-2
- Port to use rust-packaging

* Mon Apr 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-1
- Initial package

## END: Generated by rpmautospec
